@import 'src/assets/scss/core/functions';
@import "src/assets/scss/core/breakpoints";
@import "src/assets/scss/core/mixins";
@import "src/assets/scss/settings";

.page-footer {
  padding-top: 30px;
  padding-bottom: 20px;
  background-color: $secondary-color;

  &__container {
    @include container();
  }

  &__top {

    @include media-breakpoint-up(md) {
      display: grid;
      grid-template-columns: auto 1fr;
      grid-column-gap: 70px;
      align-items: center;
    }
  }

  &__nav {
    margin-top: 20px;
    padding: 0;
    display: flex;
    flex-wrap: wrap;
    column-gap: 20px;
    row-gap: 10px;
    list-style: none;


    @include media-breakpoint-up(md) {
      margin-top: 0;
      justify-self: end;
    }
  }

  &__link {
    font-family: var(--font-text);
    font-size: 14px;
    line-height: 20px;
    color: var(--white-color);
    text-decoration: none;

    &--active {
      color: var(--yellow-color);
    }

    @include hover {
      opacity: 0.8;
    }
  }

  small {
    margin: 0;
    align-self: start;
    font-family: var(--font-text);
    font-size: 13px;
    line-height: 16px;
    color: $gray-dark-color;
  }
}
